Installer la dernière version de Wear OS

Mise à niveau de Wear 2.0

Ce guide décrit le processus de mise à niveau de Wear OS.

Modifications spécifiques à Android

Wear 2.0 englobe plusieurs versions d'Android du niveau d'API 25 au niveau d'API 28.

Remarque : Il n'existe pas de version de Wear OS pour Android 10 (niveau d'API 29).

Si votre application Wear OS cible Wear OS 2.0 (niveau d'API 28), la majeure partie du travail de mise à niveau consiste à gérer le passage de la plate-forme d'Android 9 (niveau d'API 28) à Android 11 (niveau d'API 30).

Il n'existe pas de version de Wear OS pour Android 10 (niveau d'API 29). Vous devez donc gérer ces changements en une seule fois lorsque vous faites passer vos compileSdkVersion et targetSdkVersion de 28 à 30.

Remarque : Même si vous ne modifiez pas la compileSdkVersion ou la targetSdkVersion de votre application, assurez-vous qu'elle est compatible avec le niveau d'API 29.

Modifications spécifiques à Wear OS

Wear OS 2.0 comprend des cartes, des complications, des applications, des cadrans et de nombreuses autres surfaces. Cependant, vous devez modifier votre interface utilisateur afin d'y intégrer nos dernières consignes de conception.

Le niveau d'API 30 comprend l'API Ongoing Activity.

Une activité en cours permet d'afficher une notification en cours sur d'autres surfaces de l'interface utilisateur de Wear OS. Elle permet aux utilisateurs de continuer à interagir avec les activités de longue durée.

Remarque : Certaines fonctionnalités des nouvelles API de cadran alpha ne sont disponibles que sur les appareils exécutant le niveau d'API 30 ou supérieur.

Choisir une version de départ

Comme indiqué dans la section Modifications spécifiques à Android, la version de Wear OS est liée à une version d'Android. Avant de choisir une version de départ, tenez compte des appareils Wear OS les plus courants.

La plupart des développeurs créent une application fiable ciblant le niveau d'API 30, mais assurez-vous que la version minSdkVersion reste suffisamment basse pour cibler les versions d'Android les plus répandues. Par exemple, pour permettre la prise en charge des appareils Wear 2.0, définissez votre minSdkVersion sur 25.

Si vous avez de l'expérience dans le développement pour Android, vous pouvez appliquer une grande partie de ces connaissances à Wear OS. Pour en savoir plus sur les différences, consultez la section Différences entre le développement pour Wear OS et pour mobile.

Remarque : L'image système de l'émulateur Wear OS pour le niveau d'API 30 est actuellement en Preview développeur. Consultez les notes de version pour obtenir les dernières mises à jour.

Bibliothèques Jetpack pour Wear OS

Les bibliothèques Wear OS Jetpack se composent de cinq bibliothèques offrant des fonctionnalités similaires à celles de la bibliothèque Wearable Support et une meilleure prise en charge de Wear OS 3.

Les bibliothèques Wear OS Jetpack remplacent les bibliothèques Wearable Support et ne sont pas conçues pour être utilisées en même temps que ces dernières. La bibliothèque Wearable Support ne fonctionne pas sur Wear OS 3.

Pour en savoir plus, consultez la section Bibliothèques Wear OS Jetpack désormais stables.